Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Virgo » Fresh installation problem(Dependency problem?)
Fresh installation problem [message #837536] Thu, 05 April 2012 20:06 Go to next message
ronald Mising name is currently offline ronald Mising nameFriend
Messages: 52
Registered: July 2009
Member
Hi all,

I'm having a dependency error for my new Eclipse Indigo / Virgo installation.

After having installed the latest 64-bit Cocoa version of the Eclipse Classic IDE 3.7 and the latest Spring Source Tool Suite 2.9.1 (from the release update site as described in http://download.springsource.com/release/STS/doc/STS-installation_instructions.pdf), I went on to install the Virgo IDE milestone as described on the http://wiki.eclipse.org/Virgo/Tooling page.

That's where this error pops up:

Cannot complete the install because one or more required items could not be found.
Software being installed: Eclipse Virgo Tools 1.0.0.201106220519-M01 (org.eclipse.virgo.ide.feature.feature.group 1.0.0.201106220519-M01)
Missing requirement: Eclipse Virgo IDE (Manifest Core) 1.0.0.201106220519-M01 (org.eclipse.virgo.ide.manifest.core 1.0.0.201106220519-M01) requires 'bundle org.springframework.core [3.0.4.RELEASE,3.1.0)' but it could not be found

There is a org.springframework.core_3.1.1.RELEASE.jar in my plugins map. Am I missing something or could this be something else?

Addition: I also downloaded a fresh SpringSource Tool Suite 2.9.1.RELEASE (incl Eclipse) from http://www.springsource.org/eclipse-downloads, Cocoa 64 bits, and installing the Eclipse Virgo Tools gave the exact same error.

Best regards,
Ronald

[Updated on: Thu, 05 April 2012 20:41]

Report message to a moderator

Re: Fresh installation problem [message #837552 is a reply to message #837536] Thu, 05 April 2012 20:31 Go to previous messageGo to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
Hi Ronald,

I'm not sure what the specific issue you're having here is, but we've completed an effort to remove all spring dependencies from the IDE build. It's not in the current milestone build so I'd suggest you install the latest snapshot build. It's pretty stable. We'll publish a new milestone without the dependencies soon.

cheers,

Miles
Re: Fresh installation problem [message #837568 is a reply to message #837552] Thu, 05 April 2012 21:02 Go to previous messageGo to next message
ronald Mising name is currently offline ronald Mising nameFriend
Messages: 52
Registered: July 2009
Member
Hi Miles,

Thx for the quick reply. I followed the Installation Steps (for the snapshot builds) and that seemed to work.
Now on to some hands on experience Smile

I guess that installing STS 2.9.1 instead of 7 might be the problem, as STS 2.9.1 includes spring core 3.1.1 and
the reference is to version 3.1.0

Ronald
Re: Fresh installation problem [message #837670 is a reply to message #837568] Fri, 06 April 2012 00:36 Go to previous message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1340
Registered: July 2009
Senior Member
Yep, that makes sense. Glad the solution worked; look forward to hearing how things work for you.
Previous Topic:Empty bundle dependecies after upgrading VTS to 3.5.0.M2
Next Topic:Import-Package weird
Goto Forum:
  


Current Time: Fri Nov 28 09:38:19 GMT 2014

Powered by FUDForum. Page generated in 0.01920 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software